> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/classes-usadas/response/docresponse.md).

# DocResponse

Classe de resposta de documentos

Classe herdada de [Doc](/facilitadores/sdks/sdk-em-java/classes-usadas/body/doc.md).

### Propriedades:

<table><thead><tr><th width="192">nome</th><th width="275.3333333333333" align="center">tipo</th><th>descrição</th></tr></thead><tbody><tr><td>open_id</td><td align="center">int</td><td></td></tr><tr><td>token</td><td align="center">String</td><td>token do documento</td></tr><tr><td>status</td><td align="center">String</td><td>status do documento: "em-curso", "assinado", "recusado" ou "lixeira"</td></tr><tr><td>original_file</td><td align="center">String</td><td>url do arquivo original salvo na amazon</td></tr><tr><td>signed_file</td><td align="center">String</td><td>url do arquivo assinado salvo na amazon</td></tr><tr><td>created_through</td><td align="center">String</td><td>Como o documento foi criado: "web" ou "api"</td></tr><tr><td>extra_docs</td><td align="center">ArrayList&#x3C;<a href="/facilitadores/sdks/sdk-em-java/classes-usadas/response/extradocresponse.md">ExtraDocResponse</a>></td><td>Lista de documentos extras do documento</td></tr><tr><td>deleted</td><td align="center">boolean</td><td>Se True, o documento foi deletado</td></tr><tr><td>deleted_at</td><td align="center">String</td><td>data que o documento foi deletado</td></tr><tr><td>created_at</td><td align="center">String</td><td>data que o documento foi criado</td></tr><tr><td>last_update_at</td><td align="center">String</td><td>ultima data que o documento foi atualizado</td></tr><tr><td>template</td><td align="center"><a href="/facilitadores/sdks/sdk-em-java/classes-usadas/response/template.md">Template</a></td><td>se o documento foi criado por um modelo, contem o token do modelo</td></tr><tr><td>answers</td><td align="center">ArrayList&#x3C;<a href="/facilitadores/sdks/sdk-em-java/classes-usadas/response/answers.md">Answers</a>></td><td>lista de variáveis e valores para a criação desse documento</td></tr><tr><td>auto_reminder</td><td align="center">int</td><td>numero de vezes que esse documento vai mandar email para os signatários</td></tr><tr><td>signers</td><td align="center">List&#x3C;<a href="/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md">Signer</a>></td><td>representa a lista de signatário salvos no documento</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/classes-usadas/response/docresponse.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
